package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.CheckApply_F;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface CheckApplyService_F {
    public List<CheckApply_F> getList(CheckApply_F param);
    public CheckApply_F getById(Long id);
    public CheckApply_F getByTaskId(Long id);
    public void insert(CheckApply_F checkApply);
    public void update(CheckApply_F checkApply);
    public void delete(Long id);
    public List<CheckApply_F> getTopReasonList(Map<String, Object> param);
}
